<template>
  <cabinet-layout nav-active="price">
    <div
      slot="block-content"
      class="priceUpload">
      <submenu
        menu-active="price-upload"
        item-active="history"/>

      <!--Выводить блок когда еще нет ни истории-->
      <div
        v-if="!hasUpload"
        class="priceUpload-content">
        <div class="heading _h1">История загрузок</div>
        <div class="priceUpload-info">
          <div class="priceUpload-info-text">Вы пока не создали ни одной загрузки</div>
          <AppButton
            :classes="['buttonNewUpload']"
            @click.native="createNewUpload()">
            <template #button-item>
              <img
                svg-inline
                src="~/assets/svg/redesign/plus.svg">
              Создать загрузку
            </template>
          </AppButton>
          <div class="paragraph">
            Вы можете загрузить прайс-лист со своего компьютера, настроить автоматическую загрузку прайсов по почте,
            ссылке или FTP или добавить одну запчасть прямо через форму на сайте.
          </div>
          <div class="paragraph">
            Здесь будет отображаться информация о 100 последних загрузках.
          </div>
        </div>
      </div>

      <!--Выводить блок с таблицей, когда есть загрузки-->
      <div
        v-if="hasUpload"
        class="priceUpload-content">
        <div class="heading _h1">История загрузок</div>
        <div class="priceUpload-table">
          <div class="priceUpload-table-header">
            <AppButton
              :classes="['buttonNewUpload']"
              @click.native="createNewUpload()">
              <template #button-item>
                <img
                  svg-inline
                  src="~/assets/svg/redesign/plus.svg">
                Создать новую загрузку
              </template>
            </AppButton>

          </div>

          <AppTable
            class="tableUploadHistory"
            :table-headings="$options.headings"
            :grid="grid">
            <section
              class="thead _filters"
              slot="thead-filters">
              <div class="tr">
                <div :class="`th _${$options.headings[0].name}`"/>
                <div :class="`th _${$options.headings[1].name}`"/>
                <div :class="`th _${$options.headings[2].name}`">
                  <AppSelect
                    class="multiselectThemeSmall _table-filter"
                    placeholder="Не выбрано"/>
                </div>
                <div :class="`th _${$options.headings[3].name}`">
                  <AppSelect
                    class="multiselectThemeSmall _table-filter"
                    placeholder="Не выбрано"/>
                </div>
                <div :class="`th _${$options.headings[4].name}`">
                  <AppSelect
                    class="multiselectThemeSmall _table-filter"
                    placeholder="Не выбрано"/>
                </div>
                <div :class="`th _${$options.headings[5].name}`">
                  <AppSelect
                    class="multiselectThemeSmall _table-filter"
                    placeholder="Не выбрано"/>
                </div>
                <div :class="`th _${$options.headings[6].name}`"/>
              </div>
            </section>
            <!-- Ячейки с данными для таблицы -->

            <template
              :slot="`unit-${$options.headings[0].name}`"
              slot-scope="{ part }">
              {{ part.id }}
            </template>
            <template
              :slot="`unit-${$options.headings[1].name}`"
              slot-scope="{ part }">
              {{ part.data }}
            </template>
            <template
              :slot="`unit-${$options.headings[2].name}`"
              slot-scope="{ part }">
              {{ part.fileName }}
            </template>
            <template
              :slot="`unit-${$options.headings[3].name}`"
              slot-scope="{ part }">
              {{ part.shop }}
            </template>
            <template
              :slot="`unit-${$options.headings[4].name}`"
              slot-scope="{ part }">
              {{ part.typeUpload }}
            </template>
            <template
              :slot="`unit-${$options.headings[5].name}`"
              slot-scope="{ part }">
              {{ part.status }}
            </template>
            <template
              :slot="`unit-${$options.headings[6].name}`"
              slot-scope="{ part }">
              {{ part.errors }}
            </template>
          </AppTable>
        </div>
      </div>

    </div>
  </cabinet-layout>
</template>

<script>
import CabinetLayout from '~/components/redesign/cabinet/main-layout';
import Submenu from '~/components/redesign/cabinet/submenu';
import AppButton from '~/components/redesign/app-buttons/app-button';
import AppInputRadio from '~/components/redesign/app-input/app-input-radio';
import AppTable from '~/components/redesign/app-table/app-table';
import AppPopover from '~/components/redesign/app-tooltip/app-popover';

import { priceHistory as Headings } from '~/assets/js/mocks/table/headings';
import AppSelect from '../../../../../components/redesign/app-select/app-select';

export default {
  name: 'PriceHistory',
  components: {
    AppSelect,
    AppPopover,
    AppTable,
    AppInputRadio,
    AppButton,
    CabinetLayout,
    Submenu,
  },
  layout: 'cabinet',
  data() {
    return {
      hasUpload: true,
      grid: {
        data: [
          {
            id: 0,
            data: '01.07.19 07:11:23',
            fileName: 'allpart.csv',
            shop: 'Тестовый_магазин_тестов, г.Абай',
            typeUpload: 'Внешняя ссылка',
            status: 'Завершено',
            errors: 'Ошибок нет',
          },
          {
            id: 1,
            data: '10.10.2020 07:11:23',
            fileName: 'Наличие шины на 22.01.2001.csv',
            shop: 'Tarantool, г.Абдулино',
            typeUpload: 'Выгрузка из 1С',
            status: 'Ошибка',
            errors: 'Файл не загружен',
          },
          {
            id: 2,
            data: '10.10.2020 17:13:13',
            fileName: 'real-contract.csv',
            shop: 'Контрактные запчасти, г.Владивосток',
            typeUpload: 'С компьютера',
            status: 'Повторный',
            errors: 'Не загружено строк: 1 из 20',
          },
        ],
      },
    };
  },

  created() {
    this.$options.headings = Headings;
  },
  methods: {
    createNewUpload() {},
    closeFormUpload() {},
  },
};
</script>

<style lang="postcss">
 @import "~/assets/css/components/price-upload-pages.css";
</style>
